/*
 * Requests
 */

#define REQ_ECHO 0 + 0

#define REQ_GROUPS_ALL 1024 + 0

#define REQ_CALENDARS_ALL 2048 + 0

#define REQ_FILE_LOCK 3072 + 0
#define REQ_FILE_UNLOCK 3072 + 1

#define REQ_MSG_INFO 4096 + 0
#define REQ_MSG_RECV 4096 + 64
#define REQ_MSG_SEND 4096 + 128

#define REQ_AUTHENTICATE 5120 + 0

/*
 * Errors
 */

#define ERR_GROUPS_ALL_SUCCESS 1024 + 0
#define ERR_GROUPS_ALL_OPEN 1024 + 1
#define ERR_GROUPS_ALL_FSTAT 1024 + 2
#define ERR_GROUPS_MALLOC 1024 + 3
#define ERR_GROUPS_READ 1024 + 4

#define ERR_MSG_RECV_SUCCESS 4096 + 64 + 0
#define ERR_MSG_RECV_NOTAUTH 4096 + 64 + 1
#define ERR_MSG_RECV_OPEN 4096 + 64 + 2
#define ERR_MSG_RECV_FSTAT 4096 + 64 + 3
#define ERR_MSG_RECV_MALLOC 4096 + 64 + 4
#define ERR_MSG_RECV_READ 4096 + 64 + 5

#define ERR_MSG_SEND_SUCCESS 4096 + 128 + 0
#define ERR_MSG_SEND_TRANS 4096 + 128 + 1
#define ERR_MSG_SEND_OPEN 4096 + 128 + 2
#define ERR_MSG_SEND_WRITE 4096 + 128 + 3
#define ERR_MSG_SEND_CLOSE 4096 + 128 + 4

#define ERR_AUTHENTICATE_SUCCESS 5120 + 0
#define ERR_AUTHENTICATE_FAILURE 5120 + 1
#define ERR_AUTHENTICATE_MUTUAL 5120 + 2

typedef struct _buffer
{
  int srv_err;
  int sub_err;
  char data[0];
} buffer;
